[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONArray.Sort

Sort the items in the array

## Declaration

Source position: fpjson.pp line 577

`public procedure TJSONArray.Sort(`
`Compare: TListSortCompare`
`);`

## Arguments

`Compare` |  | Callback to compare 2 elements in the list

## Description

Sort can be used to perform a sort in an array. The array does not compare elements, for this the Compare callback must be used, to compare 2 elements from the array.

## Errors

None.

## See also

#rtl.classes.TListSortCompare